#encoding: UTF-8
module ServiceDictionary
  V1_LOGIN = { service_name: '/gateway-ecommerce/v1/auth/bearerlogin', method: "post", security_token: false }
  V1_CREATE_API_KEY = { service_name: '/gateway-ecommerce/v1/store/store-api-key', method: "post", security_token: true }
  V1_CREATE_TOKEN_CARD = { service_name: '/gateway-ecommerce/v1/token-card', method: 'post', security_token: true }
  V1_CREATE_CUSTOMER_CARDS = { service_name: '/gateway-ecommerce/v1/token-card/customer-tokens', method: "post", security_token: true }
  V1_RISK_MANAGER = { service_name: '/gateway-ecommerce/v1/risk-manager/token-card', method: "post", security_token: true }
  V1_DESICION_MANAGER = { service_name: '/gateway-ecommerce/v1/decision-manager', method: "post", security_token: true }
  V1_DELETE_TOKEN_CARD = { service_name: '/gateway-ecommerce/v1/token-card/delete', method: "post", security_token: true }
  V1_TRANSACTION_CANCELLATION = { service_name: '/gateway-ecommerce/v1/transaction/refund', method: "post", security_token: true }
  V1_TRANSACTION_CHARGE = { service_name: '/gateway-ecommerce/v1/transaction/charge', method: "post", security_token: true }

  V1_STORE_INFO = { service_name: '/gateway-ecommerce/v1/store/store-info', method: "get", security_token: true }
  V1_TRANSACTION_STATUS = { service_name: '/gateway-ecommerce/v1/transaction-report/transaction/', method: "get", security_token: true }

  V2_CHECKOUT = { service_name: '/gateway-ecommerce/v2/checkout', method: "post", security_token: true }
end